## rjava 0.9

=== DESCRIPTION ===
Package: rJava
Version: 0.9-11
Title: Low-Level R to Java Interface
Author: Simon Urbanek <simon.urbanek@r-project.org>
Maintainer: Simon Urbanek <simon.urbanek@r-project.org>
Depends: R (>= 2.5.0), methods
Description: Low-level interface to Java VM very much like .C/.Call and friends. Allows creation of objects, calling methods and accessing fields.
License: GPL-2
URL: http://www.rforge.net/rJava/
SystemRequirements: Java JDK 1.2 or higher (for JRI/REngine JDK 1.4 or
        higher), GNU make
BugReports: https://github.com/s-u/rJava/issues
NeedsCompilation: yes
Packaged: 2019-03-27 20:56:52 UTC; svnuser
Repository: CRAN
Date/Publication: 2019-03-29 06:53:31 UTC

=== jri/REngine/Makefile ===
RENG_SRC=$(wildcard *.java)
RSRV_SRC=$(wildcard Rserve/*.java) $(wildcard Rserve/protocol/*.java)
JRI_SRC=$(wildcard JRI/*.java)

TARGETS=REngine.jar Rserve.jar

all: $(TARGETS)

JAVAC=javac
JAVADOC=javadoc
JDFLAGS=-author -version -breakiterator -link http://java.sun.com/j2se/1.4.2/docs/api/
JFLAGS+=-source 1.4 -target 1.4

REngine.jar: $(RENG_SRC)
	@rm -rf org
	$(JAVAC) -d . $(JFLAGS) $(RENG_SRC)
	jar fc $@ org
	rm -rf org

Rserve.jar: $(RSRV_SRC) REngine.jar
	@rm -rf org
	$(JAVAC) -d . -cp REngine.jar $(RSRV_SRC)
	jar fc $@ org
	rm -rf org

clean:
	rm -rf org *~ $(TARGETS) doc
	make -C Rserve clean
	make -C JRI clean

test:
	make -C Rserve test

rc:	Rserve.jar Rserve/test/jt.java
	make -C Rserve/test jt

doc:	$(RENG_SRC) $(RSRV_SRC) $(JRI_SRC)
	rm -rf $@
	mkdir $@
	$(JAVADOC) -d $@ $(JDFLAGS) $^

mvn.pkg:
	mvn clean package install && (cd Rserve && mvn clean package)

mvn.sign:
	mvn clean verify install -P release && (cd Rserve && mvn clean verify -P release )

mvn.deploy:
	mvn clean deploy install -P release && (cd Rserve && mvn clean deploy -P release )

.PHONY: clean all test

=== jri/bootstrap/Makefile ===
# Makefile for JRI bootstrap
# Win/OSX should be ok, Linux will need some tweaking

all: boot.jar

OSKIND=$(shell if echo "${OS}"|grep -i windows >/dev/null 2>&1; then echo win32; else uname -s; fi)

ifeq ($(OSKIND),win32)
ifeq ($(JAVA_HOME),)
JAVA_HOME=N:/java/jdk1.5.0
endif
JSO_PREFIX=
JSO_SUFFIX=.dll
JCPPFLAGS=-DWIN32 -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/win32
JLDFLAGS=-shared -Wl,--add-stdcall-alias -mno-cygwin
JLIBS=-L$(JAVA_HOME)/jre/bin/client -L$(JAVA_HOME)/jre/bin -ljvm
PATHSEP=\;
KNOWNOS=yes
OSNAME=Windows
JAVA=$(JAVA_HOME)/bin/java
JAVAC=$(JAVA_HOME)/bin/javac
JAR=$(JAVA_HOME)/bin/jar
endif
ifeq ($(OSKIND),Darwin)
JSO_PREFIX=lib
JSO_SUFFIX=.jnilib
JLDFLAGS=-dynamiclib
JLIBS=-framework JavaVM
JCPPFLAGS=-I/System/Library/Frameworks/JavaVM.framework/Headers
PATHSEP=:
KNOWNOS=yes
OSNAME=MacOSX
JAVA=java
JAVAC=javac
JAR=jar
endif
ifneq ($(KNOWNOS),yes)
ifeq ($(JAVA_HOME),)
JAVA_HOME=/usr/lib/java
endif
JSO_PREFIX=lib
JSO_SUFFIX=.so
JCPPFLAGS=-I$(JAVA_HOME)/include -I$(shell dirname `find $(JAVA_HOME)/include -name jni_md.h|sed -n -e 1p`)
JLDFLAGS=-shared
JLIBS=-L$(JAVA_HOME)/lib -ljvm
PATHSEP=:
OSNAME="generic unix"
JAVA=java
JAVAC=javac
JAR=jar
endif

$(JSO_PREFIX)boot$(JSO_SUFFIX): JRIBootstrap.o
	$(CC) $(JLDFLAGS) -o $@ $^ #$(JLIBS)

JRIBootstrap.o: JRIBootstrap.c JRIBootstrap.h
	$(CC) -c -o $@ $< $(JCPPFLAGS)

run: boot.jar
	$(JAVA) -jar $<

clean:
	rm -f JRIBootstrap.o $(JSO_PREFIX)boot$(JSO_SUFFIX) *.class *~

boot.jar: $(JSO_PREFIX)boot$(JSO_SUFFIX)
	$(JAVAC) -source 1.6 -target 1.6 *.java
	$(JAR) fcm $@ mft *.class $^

.PHONY: clean run all

=== src/java/Makefile ===
JAVA_SRC=$(wildcard *.java)
JFLAGS=-source 1.6 -target 1.6
JAVAC=javac
JAVA=java
JAVADOC=javadoc
JAVADOCFLAGS=-author -version -breakiterator -link http://java.sun.com/j2se/1.4.2/docs/api

all: compile test

compile: $(JAVA_SRC)
	$(JAVAC) $(JFLAGS) $(JAVA_SRC)

test_RJavaTools: compile
	$(JAVA) RJavaTools_Test

test_RJavaArrayTools: compile
	$(JAVA) RJavaArrayTools_Test

test_ArrayWrapper:
	$(JAVA) ArrayWrapper_Test

test_RectangularArrayBuilder:
	$(JAVA) RectangularArrayBuilder_Test

test: compile test_RJavaTools test_RJavaArrayTools test_ArrayWrapper test_RectangularArrayBuilder

javadoc:
	$(JAVADOC) $(JAVADOCFLAGS) -d javadoc $(JAVA_SRC)

clean:
	rm -rfv *.class *~

.PHONY: all clean

=== jri/REngine/JRI/Makefile ===
## there are two ways to compile JRIEngine - either use
## already installed REngine and JRI and then just
## compile JRIEngine against those jars or use this
## Makefile with all org sources checked out
## in which case the JRIEngine.jar will implicitly
## contain org.rosuda.JRI classes as well
## However, that requires both:
## org/rosuda/JRI
## org/rosuda/REngine

JRI_MAIN_SRC=$(wildcard ../../*.java)
JRIENGINE_SRC=JRIEngine.java

JAVAC=javac
JAR=jar
JFLAGS=-source 1.4 -target 1.4

all: JRIEngine.jar

JRIEngine.jar: $(JRI_MAIN_SRC) $(JRIENGINE_SRC)
	rm -rf org
	$(JAVAC) $(JFLAGS) -classpath ../REngine.jar -d . $^
	$(JAR) fc $@ org

clean:
	rm -rf org *~ JRIEngine.jar *.class
	make -C test clean

=== jri/src/win32/Makefile ===
# helper tools and libs for building and running rJava for Windows
# Author: Simon Urbanek

include $(R_HOME)/etc$(R_ARCH)/Makeconf

TARGETS=libjvm.dll.a findjava.exe

# libjvm.dll.a    - wrapper lib for jvm.dll from Java
# findjava.exe    - helper tool to find the current JDK from the registry

all: $(TARGETS)

ifeq ($(strip $(shell $(R_HOME)/bin/R --slave -e 'cat(.Machine$$sizeof.pointer)')),8)
JVMDEF=jvm64.def
else
JVMDEF=jvm.def
endif

libjvm.dll.a: $(JVMDEF)
	$(DLLTOOL) --input-def $^ --kill-at --dllname jvm.dll --output-lib $@

# compile findjava.exe from source - no magic here, no special libs necessary
findjava.o: findjava.c
	$(CC) -O2 -c -o $@ $^

findjava.exe: findjava.o
	$(CC) -s -o $@ $^

# just cleanup everything
clean:
	rm -f *.o *~ $(TARGETS)

.PHONY: all clean

## rjava 0.9-9

=== debian/changelog ===
rjava (0.9-9-1ubuntu2) bionic; urgency=medium

  * d/source/format: Mark as 3.0 (quilt)
  * d/patches/deal-with-Java-10s-lack-of-javah.patch: backport from upstream 
    to fix ftbfs, fixed and updated by me.
  * d/control: Build-depend on default-jdk rather than openjdk-11-jdx.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 23 Apr 2018 12:03:25 +1200

rjava (0.9-9-1ubuntu1) bionic; urgency=medium

  * Build with the OpenJDK 11 packages instead of the OpenJDK 9 packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Apr 2018 14:57:25 +0200

rjava (0.9-9-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/compat: Increase level to 9

  * debian/control: In Build-Depends, s/default-jdk/openjdk-9-jdk/
  * debian/control: In Depends: use openjdk-9-jre

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 26 Oct 2017 16:00:00 -0500

rjava (0.9-8-3) unstable; urgency=medium

  * Rebuilt under R 3.4.0 to update registration for .C() and .Fortran()
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 04 Jun 2017 19:27:26 -0500

rjava (0.9-8-2) unstable; urgency=low

  * debian/control: Build-Depends on r-base-core (> 3.2.3-6) to ensure
    jdk8 is used across R and rJava		 	(Closes: #814789)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 17 Feb 2016 21:18:14 -0600

rjava (0.9-8-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 08 Jan 2016 21:06:28 -0600

rjava (0.9-7-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 29 Jul 2015 07:36:29 -0500

rjava (0.9-6-3) unstable; urgency=low

  * debian/control: No longer exclude mips and mipsel (with thanks to
    Aurelien Jarno for the patch and heads-up)		(Closes: #599994)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 04 May 2014 13:44:27 -0500

rjava (0.9-6-2) unstable; urgency=low

  * debian/control: Updated Java run-time defaults (with thanks for the
    heads-up to Rogério Brito <rbrito@ime.usp.br>)

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 17 Apr 2014 18:06:46 -0500

rjava (0.9-6-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 Dec 2013 23:01:57 -0600

rjava (0.9-5-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

  * debian/control: Added "!mipsel" to the Build-Depends as OpenJDK 7 is 
    not available here (cf emails with Niels Thykier in #727805)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Dec 2013 17:15:24 -0600

rjava (0.9-4-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 
  
  * debian/control: Switch Build-Depends: to default-jdk (with same
    architecture exclusion list as R itself)

  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Mar 2013 10:14:39 -0500

rjava (0.9-3-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Dec 2011 10:33:28 -0600

rjava (0.9-2-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 17 Nov 2011 16:39:24 -0600

rjava (0.9-1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 29 Jun 2011 09:39:58 -0500

rjava (0.9-0-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Jun 2011 09:32:28 -0500

rjava (0.8-8-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Dec 2010 12:54:19 -0600

rjava (0.8-7-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 18 Oct 2010 15:40:02 -0500

rjava (0.8-6-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Sep 2010 08:58:12 -0500

rjava (0.8-5-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 02 Sep 2010 19:06:28 -0500

rjava (0.8-4-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 02 May 2010 21:15:22 -0500

rjava (0.8-3-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 17 Mar 2010 12:46:42 -0500

rjava (0.8-2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Jan 2010 17:26:42 -0600

rjava (0.8-1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Nov 2009 15:50:50 -0600

rjava (0.8-0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 



=== debian/control ===
Source: rjava
Section: gnu-r
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.2), cdbs, automake, default-jdk
Standards-Version: 4.1.1
Homepage: http://www.rforge.net/rJava

Package: r-cran-rjava
Architecture: any
Depends:  ${R:Depends}, openjdk-11-jre | default-jre, ${shlibs:Depends}, ${misc:Depends}
Description: GNU R low-level interface to Java 
 This package provide a low-level interface from GNU R to Java VM very much 
 like .C/.Call and friends. Allows creation of objects, calling methods and 
 accessing fields.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-rjava package
# Copyright 2005 - 2016 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

#build/$(package)::
#	R CMD javareconf

## rjava 0.9-10

=== debian/changelog ===
rjava (0.9-10-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'

  * debian/control: Rewrite JDK dependency as in r-base

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 Jun 2018 16:09:15 -0500

rjava (0.9-10-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 May 2018 17:55:33 -0500

=== debian/control ===
Source: rjava
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, automake, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-rjava
Vcs-Git: https://salsa.debian.org/edd/r-cran-rjava.git
Homepage: https://cran.r-project.org/package=rJava

Package: r-cran-rjava
Architecture: any
Depends:  ${R:Depends}, openjdk-9-jre | default-jre, ${shlibs:Depends}, ${misc:Depends}
Description: GNU R low-level interface to Java 
 This package provide a low-level interface from GNU R to Java VM very much 
 like .C/.Call and friends. Allows creation of objects, calling methods and 
 accessing fields.

## rjava 0.9-11

=== debian/changelog ===
rjava (0.9-11-2) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Aug 2019 06:51:33 -0500

rjava (0.9-11-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 29 Mar 2019 13:50:26 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, automake, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, automake, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rjava
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rjava.git
 Homepage: https://cran.r-project.org/package=rJava

## rjava 0.9-13

=== debian/changelog ===
rjava (0.9-13-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 06 Jul 2020 08:10:12 -0500

rjava (0.9-12-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 24 Mar 2020 11:57:37 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, automake, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.2), dh-r, automake, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rjava
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rjava.git
 Homepage: https://cran.r-project.org/package=rJava

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/rJava_([-0-9\.]*)\.tar.gz

## rjava 1.0

=== DESCRIPTION ===
Package: rJava
Version: 1.0-14
Title: Low-Level R to Java Interface
Author: Simon Urbanek [aut, cre, cph] (https://urbanek.nz, ORCID:
    <https://orcid.org/0000-0003-2297-1732>)
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Authors@R: person("Simon", "Urbanek", role=c("aut","cre","cph"), email="Simon.Urbanek@r-project.org", comment=c("https://urbanek.nz", ORCID="0000-0003-2297-1732"))
Depends: R (>= 3.6.0), methods
Description: Low-level interface to Java VM very much like .C/.Call and friends. Allows creation of objects, calling methods and accessing fields.
License: LGPL-2.1
URL: http://www.rforge.net/rJava/
SystemRequirements: Java JDK 1.2 or higher (for JRI/REngine JDK 1.4 or
        higher), GNU make
BugReports: https://github.com/s-u/rJava/issues
NeedsCompilation: yes
Packaged: 2026-01-19 00:17:35 UTC; rforge
Repository: CRAN
Date/Publication: 2026-01-20 09:28:00 UTC

=== jri/REngine/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 JAVAC=javac
 JAVADOC=javadoc
 JDFLAGS=-author -version -breakiterator -link http://java.sun.com/j2se/1.4.2/docs/api/
-JFLAGS+=-source 1.4 -target 1.4
+JFLAGS+=-source 1.6 -target 1.6
 
 REngine.jar: $(RENG_SRC)
 	@rm -rf org
@@ -40,7 +40,7 @@
 	$(JAVADOC) -d $@ $(JDFLAGS) $^
 
 mvn.pkg:
-	mvn clean package install && (cd Rserve && mvn clean package)
+	mvn -B clean package install && (cd Rserve && mvn -B clean package)
 
 mvn.sign:
 	mvn clean verify install -P release && (cd Rserve && mvn clean verify -P release )

=== jri/bootstrap/Makefile ===
--- 
+++ 
@@ -63,7 +63,7 @@
 	rm -f JRIBootstrap.o $(JSO_PREFIX)boot$(JSO_SUFFIX) *.class *~
 
 boot.jar: $(JSO_PREFIX)boot$(JSO_SUFFIX)
-	$(JAVAC) -source 1.6 -target 1.6 *.java
+	$(JAVAC) -source 1.2 -target 1.2 *.java
 	$(JAR) fcm $@ mft *.class $^
 
 .PHONY: clean run all

=== src/jvm-w32/Makefile ===
# helper tools and libs for building and running rJava for Windows
# Author: Simon Urbanek
#         with contributions from Brian Ripley

include $(R_HOME)/etc$(R_ARCH)/Makeconf

TARGETS=libjvm.dll.a findjava.exe

# libjvm.dll.a    - wrapper lib for jvm.dll from Java
# findjava.exe    - helper tool to find the current JDK from the registry

all: $(TARGETS)

# detect 64-bit Windows
ifeq ($(strip $(shell $(R_HOME)/bin/R --slave -e 'cat(.Machine$$sizeof.pointer)')),8)
JVM64DEF=64
endif

libjvm.dll.a: jvm$(JVM64DEF).def
	$(DLLTOOL) --input-def $^ --kill-at --dllname jvm.dll --output-lib $@

# compile findjava.exe from source - no magic here, no special libs necessary
findjava.o: findjava.c
	$(CC) -O2 -c -o $@ $^

findjava.exe: findjava.o
	$(CC) -s -o $@ $^

# just cleanup everything
clean:
	rm -f *.o *~ $(TARGETS)

.PHONY: all clean

=== jri/REngine/Rserve/Makefile ===
RENG_SRC=$(wildcard ../*.java)
RSRV_SRC=$(wildcard *.java) $(wildcard protocol/*.java)

TARGETS=Rserve.jar

all: $(TARGETS)

JAVAC=javac
JFLAGS=-encoding utf8 -source 1.6 -target 1.6

../REngine.jar: $(RENG_SRC)
	make -C .. REngine.jar

Rserve.jar: $(RSRV_SRC) ../REngine.jar
	@rm -rf org
	$(JAVAC) -d . -cp ../REngine.jar $(RSRV_SRC)
	jar fc $@ org
	rm -rf org

clean:
	rm -rf org *~ protocol/*~ $(TARGETS)
	make -C test clean

test:
	make -C test test

.PHONY: clean all test

## rjava 1.0-4

=== debian/changelog ===
rjava (1.0-4-1) unstable; urgency=medium

  * New upstream release (to experimental during freeze)

  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 May 2021 15:04:24 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.2), dh-r, automake, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), dh-r, automake, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rjava
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rjava.git
 Homepage: https://cran.r-project.org/package=rJava

## rjava 1.0-6

=== debian/changelog ===
rjava (1.0-6-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to recent R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 10 Dec 2021 09:43:46 -0600

rjava (1.0-5-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Sep 2021 14:05:33 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), dh-r, automake, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r, automake, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rjava
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rjava.git
 Homepage: https://cran.r-project.org/package=rJava

## rjava 1.0-11

=== debian/changelog ===
rjava (1.0-11-2) unstable; urgency=medium

  * debian/control: Add libzstd-dev to Build-Depends 	(Closes: #1103203)
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 14 Apr 2025 20:59:33 -0500

rjava (1.0-11-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 26 Jan 2024 11:10:09 -0600

rjava (1.0-10-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 Dec 2023 08:55:06 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r, automake, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.0), dh-r, automake, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libzstd-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rjava
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rjava.git
 Homepage: https://cran.r-project.org/package=rJava

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-rjava package
# Copyright 2005 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

#build/$(package)::
#	R CMD javareconf

=== debian/watch ===
version=3
https://cran.r-project.org/src/contrib/rJava_([-0-9\.]*)\.tar.gz

## rjava 1.0-14

=== debian/changelog ===
rjava (1.0-14-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  * debian/watch: Update to version 4

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Jan 2026 06:41:36 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.0), dh-r, automake, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libzstd-dev
-Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), dh-r, automake, default-jdk [!arm !hppa !hurd-i386] | openjdk-10-jdk [!arm !hppa !hurd-i386], libzstd-dev
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rjava
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rjava.git
 Homepage: https://cran.r-project.org/package=rJava

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/rJava_([-0-9\.]*)\.tar.gz
